[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.InitMultiSelList

Enables or disables the internal multi-selection list in the control.

## Declaration

Source position: comctrls.pp line 1571

`protected procedure TCustomListView.InitMultiSelList(`
`AEnable: Boolean`
`);`

## Arguments

`AEnable` |  | True if the internal multi-selection list needs to be initialized. False when MultiSelect is not enabled and the list is not required.

## Description

Calls the corresponding method in the widgetset class instance to apply the value in the AEnabled argument. When AEnabled is True, the widget (re-)creates the internal TIntegerList used for multi-selected items when both OwnerData and MultiSelect are set to True.

## See also

TCustomListView.MultiSelect |  | Allows simultaneous selection of one or more list items using Ctrl+Click, Shift+Click, Ctrl+Shift+Click, or using program code.
TCustomListView.OwnerData |  | Enables or disables owner data (virtual) mode for the list view control.
TCustomListView.Items |  | Collection of list items displayed on the list view control.
TCustomListView.Selected |  | Contains the selected list item in the list view control.
TCustomListView.LastSelected |  | Contains the list item that was the most recently selected item on the control.
TCustomListView.FMultiSelList |  | Member used to store the multi-selection list in the class instance.
TIntegerList